cascading.flow.planner.iso.expression

## Class AnnotationExpression

- java.lang.Object
- - cascading.flow.planner.iso.expression.ElementExpression
  - - cascading.flow.planner.iso.expression.AnnotationExpression

All Implemented Interfaces:
  Expression<FlowElement>

    public class AnnotationExpression
    extends ElementExpression

### Constructor Summary

Constructors
Constructor and Description
`AnnotationExpression(ElementCapture capture, java.lang.Enum annotation)`
`AnnotationExpression(java.lang.Enum annotation)`

### Method Summary

Methods
`boolean` `applies(PlannerContext plannerContext, ElementGraph elementGraph, FlowElement flowElement)`
`java.lang.String` `toString()`

### Methods inherited from class cascading.flow.planner.iso.expression.ElementExpression

`getCapture`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AnnotationExpression

    public AnnotationExpression(java.lang.Enum annotation)

#### AnnotationExpression

    public AnnotationExpression(ElementCapture capture,
                        java.lang.Enum annotation)

### Method Detail

#### applies

    public boolean applies(PlannerContext plannerContext,
                  ElementGraph elementGraph,
                  FlowElement flowElement)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `ElementExpression`